org.apache.ignite.cache.store.jdbc

## Class JdbcTypesDefaultTransformer

- java.lang.Object
- - org.apache.ignite.cache.store.jdbc.JdbcTypesDefaultTransformer

All Implemented Interfaces:
  Serializable, JdbcTypesTransformer

    public class JdbcTypesDefaultTransformer
    extends Object
    implements JdbcTypesTransformer

Default implementation of `JdbcTypesTransformer`.

See Also:
  Serialized Form

### Field Summary

Fields
`static JdbcTypesDefaultTransformer` `INSTANCE` Singleton instance to use.

### Constructor Summary

Constructors
Constructor and Description
`JdbcTypesDefaultTransformer()`

### Method Summary

Methods
`Object` `getColumnValue(ResultSet rs, int colIdx, Class<?> type)` Retrieves the value of the designated column in the current row of this `ResultSet` object and will convert to the requested Java data type.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### INSTANCE

    public static final JdbcTypesDefaultTransformer INSTANCE

Singleton instance to use.

### Constructor Detail

#### JdbcTypesDefaultTransformer

    public JdbcTypesDefaultTransformer()

### Method Detail

#### getColumnValue

    public Object getColumnValue(ResultSet rs,
                        int colIdx,
                        Class<?> type)
                          throws SQLException

Retrieves the value of the designated column in the current row of this `ResultSet` object and will convert to the requested Java data type.

Specified by:
  `getColumnValue` in interface `JdbcTypesTransformer`
Parameters:
  `rs` - Result set.
  `colIdx` - Column index in result set.
  `type` - Class representing the Java data type to convert the designated column to.
Returns:
  Value in column.
Throws:
  `SQLException` - If a database access error occurs or this method is called.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.7.0
Release Date | : August 1 2016